<script>
	import {
		mapMutations
	} from 'vuex'
	export default {
		onLaunch: function() {
			// #ifdef MP-WEIXIN
			updateApp()
			// #endif
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		},
		globalData: {
			test: ''
		},
		methods: {
			...mapMutations(['setUniverifyErrorMsg', 'setUniverifyLogin'])
		}
	}

	// #ifdef MP-WEIXIN
	function updateApp() {
		const updateManager = uni.getUpdateManager();

		updateManager.onCheckForUpdate(function(res) {
			// 请求完新版本信息的回调
			console.log(res.hasUpdate);
		});

		updateManager.onUpdateReady(function(res) {
			uni.showModal({
				title: '更新提示',
				content: '新版本已经准备好，是否重启应用？',
				showCancel: false,
				success(res) {
					if (res.confirm) {
						updateManager.onUpdateReady((res) => {
							// 新版本下载完成的回调,强制当前小程序应用上新版本并重启
							updateManager.applyUpdate()
						})

						updateManager.onUpdateFailed((res) => {
							// 新版本下载失败的回调
							uni.showModal({
								content: '下载失败，请您删除当前小程序，重新搜索打开',
								showCancel: false,
								confirmText: '知道了',
							})
						})
					} else if (res.cancel) {
						console.log('用户点击取消，不更新');
					}
				}
			});
		});
	}
	// #endif
</script>

<style lang="scss">
	@import '@/uni_modules/uni-scss/index.scss';

	// *{
	// 	font-family: Source Han Sans SC;
	// }
	/* 以下样式用于 hello uni-app 演示所需 */
	page {
		background-color: #efeff4;
		height: 100%;
		font-size: 28rpx;
		/* line-height: 1.8; */
	}

	.fix-pc-padding {
		padding: 0 50px;
	}

	.uni-header-logo {
		padding: 30rpx;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		margin-top: 10rpx;
	}

	.uni-header-image {
		width: 100px;
		height: 100px;
	}

	.uni-hello-text {
		color: #7A7E83;
	}

	.uni-hello-addfile {
		text-align: center;
		line-height: 300rpx;
		background: #FFF;
		padding: 50rpx;
		margin-top: 10px;
		font-size: 38rpx;
		color: #808080;
	}
</style>